(function($) {
    $.fn.reza_page_number = function() {
 
        function reza_page_translate() {
            $('.woocommerce-pagination span,.woocommerce-pagination a,.dokan-pagination a').each(function(index, block) {
                var reza = $(this).text();
                $(this).html($('body').reza_translatepad(reza));
            });
        }
		
        reza_page_translate();
		
        jQuery(document).on('click', ".rd-page-ajax a", function(e) {
            var element = $(this).parents('[class*="rd-el"]').addClass('ygygy');;
            var key = element.attr('data-key');
            var x = element.offset().top;
            window.scrollTo(0, x - 60);
            e.preventDefault();
            var link = jQuery(this).attr('href');
            element.addClass('rd-ajax-loading');

            jQuery('.rd-pagenavi').load(link + ' .rd-wrapper .rd-el-' + key + '  .rd-pagenavi', function() {
                element.find('.rd-pagenavi').fadeIn(0);
                element.find(".rd-pagenavi").children('.rd-pagenavi').unwrap();
            });

            element.find('.rd-item-list').load(link + ' .rd-wrapper  .rd-el-' + key + '  .rd-item-list', function() {

                element.find('[class*="rd-post-"]').each(function(index, element) {
                    $(this).addClass('rd-new-post');
                });
                element.removeClass('rd-ajax-loading');

                window.history.pushState("object or string", "Title", link);

                element.find(".rd-item-list").children('.rd-item-list').unwrap();

                if (jQuery().reza_auto_width) {
                    element.reza_auto_width();
                }

                setTimeout(function() {
                    element.find('.rd-new-post').each(function(index, element) {
                        $(this).removeClass('rd-new-post');
                    });
                    reza_page_translate();
                }, 1);
                setTimeout(function() {
                    reza_page_translate();
                }, 5);


            });
        });



    };
}(jQuery));